<style>
  #status-modal {
      position: absolute;
      top: 50px;
      left: 0;
      right: 0;
      margin-left: auto;
      margin-right: auto;
      color: black;
      background: white;
      z-index: 22;
      width: 30rem;
      height: 4rem;
  }

  #status-symbol {
      height: 90%;
      background-color: #30C381;
      color: white;
      text-align: center;
      padding-top: 0.5rem;
  }

  .hidden {
      visibility: hidden;
      opacity: 1;
      transition: visibility 0s 2s, opacity 2s linear;
  }

  .visible {
      visibility: visible;
      opacity: 1;
      transition: opacity 2s linear;
  }

  .fade-in {
	opacity: 1;
	animation-name: fadeInOpacity;
	animation-iteration-count: 1;
	animation-timing-function: ease-in;
	animation-duration: 2s;
  }

  #content-wrapper {
      display: grid;
      grid-template-columns: 20% 80%;
      height: 100%;
  }

  #text-content {
      text-align: center;
      padding-top: 1rem;
      font-family: 'Open Sans';
  }
  
  @keyframes fadeInOpacity {
      0% {
	  opacity: 0;
      }
      100% {
	  opacity: 1;
      }
  }
</style>
<div id="status-modal" [style.border]="status === true ? '2px solid #30C381' : '2px solid #BD2130'"
[ngClass]="showing === true ? 'visible' : 'hidden'" >
<a (click)="closeModal($event)">
  <div id="content-wrapper">
    <div id="status-symbol" [style.backgroundColor]="status === true ? '#30C381' : '#BD2130'">
      <fa-icon [icon]="faInfo" class="fa-2x"></fa-icon>
    </div>
    <div id="text-content">{{ text }}</div>
    </div>
    </a>
</div>
